import { Y as Ye, _ as _e } from './styled-components.esm-a60371c1.js';
import { c as circle } from './mixins-b7fe34bc.js';

const circleMixin = (color, size = '8px') => _e`
  content: "";
  display: block;
  position: absolute;
  ${circle(color, size)}
`;

const AvatarWrapper = Ye.div`
  position: relative;
`;
const StatusIcon = Ye.div`
  position: absolute;
  left: 2px;
  top: 4px;

  &::before {
    ${circleMixin('white')};
    transform: scale(2)
  }

  &::after {
    ${({
  theme,
  status,
  size
}) => {
  if (status === 'online') {
    return circleMixin(theme.green, size);
  }

  return circleMixin(theme.gray, size);
}}
  }
`;
const AvatarClip = Ye.div`
    width: ${({
  size
}) => size};
    height: ${({
  size
}) => size};
    border-radius: 50%;
    overflow: hidden;
`;
const AvatarImage = Ye.img`
    width: 100%;
    height: 100%;
    object-position: center
`;

export { AvatarWrapper as A, StatusIcon as S, AvatarClip as a, AvatarImage as b };
